Package org.apache.commons.math3.ode.nonstiff

# Class MidpointIntegrator

java.lang.Object
org.apache.commons.math3.ode.AbstractIntegrator
org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator
org.apache.commons.math3.ode.nonstiff.MidpointIntegrator

All Implemented Interfaces:
  `FirstOrderIntegrator`, `ODEIntegrator`

public class MidpointIntegrator extends RungeKuttaIntegrator
This class implements a second order Runge-Kutta integrator for Ordinary Differential Equations.

This method is an explicit Runge-Kutta method, its Butcher-array is the following one :

        0  |  0    0
       1/2 | 1/2   0
           |----------
           |  0    1

Since:
  1.2
See Also:
  - `EulerIntegrator`
  - `ClassicalRungeKuttaIntegrator`
  - `GillIntegrator`
  - `ThreeEighthesIntegrator`
  - `LutherIntegrator`

## Field Summary

### Fields inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`isLastStep, resetOccurred, stepHandlers, stepSize, stepStart`

## Constructor Summary

Constructors
Constructor
Description
`MidpointIntegrator(double step)`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.ode.nonstiff.RungeKuttaIntegrator

`integrate, singleStep`

### Methods inherited from class org.apache.commons.math3.ode.AbstractIntegrator

`acceptStep, addEventHandler, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCounter, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEvaluationsCounter, getEventHandlers, getExpandable, getMaxEvaluations, getName, getStepHandlers, initIntegration, integrate, sanityChecks, setEquations, setMaxEvaluations, setStateInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MidpointIntegrator

public MidpointIntegrator(double step)
Simple constructor. Build a midpoint integrator with the given step.

Parameters:
  `step` - integration step